Type to search.

Get calendar configuration info

  • POST also GET /_ml/calendars/{calendar_id}
  • POST also GET /_ml/calendars
Auth

Required privileges

Cluster privileges monitor_ml

Path parameters

calendar_id string optional

A string that uniquely identifies a calendar. You can get information for multiple calendars by using a comma-separated list of ids or a wildcard expression. You can get information for all calendars by using _all or * or by omitting the calendar identifier.

Leave it out to use /_ml/calendars.

Query parameters

from number · default: 0

Skips the specified number of calendars. This parameter is supported only when you omit the calendar identifier.

size number · default: 10000

Specifies the maximum number of calendars to obtain. This parameter is supported only when you omit the calendar identifier.

Request body

Response

application/json
calendars object[] required
calendar_id string required

A string that uniquely identifies a calendar.

description string

A description of the calendar.

job_ids string[] required

An array of anomaly detection job identifiers.

count number required